#pragma once


const int EXCEPTION_OUT_OF_MEMORY = 1;
const int EXCEPTION_BADDEVICETAG = 2;
const int EXCEPTION_TILED_BUILD_FILE_ERROR = 3;
const int EXCEPTION_LAYOUT_EXCEPTION = 4;
const int EXCEPTION_TEXT_EXCEPTION = 5;
const int EXCEPTION_LOAD_ERROR = 6;
const int EXCEPTION_GENERIC = 7;

class WMException
{
public:
	WMException(int type);
	WMException(int type, const char* txt);
	WMException(const char* txt);
	~WMException(void);

	int type;				// type of exception
	char description[1024]; // fuller description of exception error send by thrower
private:
};
